package consts

var projectStatusMap = map[int64]string{
	1:  "创建中",
	2:  "待审核",
	3:  "审核通过",
	4:  "招募中",
	5:  "招募完毕",
	6:  "待支付",
	7:  "已支付",
	8:  "失效",
	9:  "执行中",
	10: "已结案",
}

func GetProjectStatus(status int64) string {
	toast, contain := projectStatusMap[status]
	if contain {
		return toast
	}
	return "未知"
}

var ProjectPlatformMap = map[int64]string{
	1: "红book",
	2: "抖音",
	3: "微博",
	4: "快手",
	5: "b站",
	6: "大众点评",
	7: "知乎",
}

func GetProjectPlatform(status int64) string {
	toast, contain := ProjectPlatformMap[status]
	if contain {
		return toast
	}
	return "未知"
}

var ProjectFormMap = map[int64]string{
	1: "实体商品寄拍",
	2: "虚拟产品测评",
	3: "线下探店打卡",
	4: "素材微原创",
}

func GetProjectForm(status int64) string {
	toast, contain := ProjectFormMap[status]
	if contain {
		return toast
	}
	return "未知"
}

var ProjectContentTypeMap = map[int64]string{
	1: "图文",
	2: "视频",
}

func GetProjectContentType(status int64) string {
	toast, contain := ProjectContentTypeMap[status]
	if contain {
		return toast
	}
	return "未知"
}

var UserRoleTypeMap = map[string]string{
	"1": "超级管理员",
	"2": "普通管理员",
	"3": "企业用户",
}

func GetUserRoleType(status string) string {
	toast, contain := UserRoleTypeMap[status]
	if contain {
		return toast
	}
	return "未知"
}

var UserStateTypeMap = map[string]string{
	"0": "禁用",
	"1": "正常",
}

func GetUserStateType(status string) string {
	toast, contain := UserStateTypeMap[status]
	if contain {
		return toast
	}
	return "未知"
}

var CreatorIsBindAccount = map[int]string{
	0: "否",
	1: "是",
}

func GetCreatorIsBindAccountType(status int) string {
	toast, contain := CreatorIsBindAccount[status]
	if contain {
		return toast
	}
	return "未知"
}

var ProjectType = map[int64]string{
	1: "全流程项目",
	2: "专项项目",
}

func GetProjectType(project_type int64) string {
	toast, contain := ProjectType[project_type]
	if contain {
		return toast
	}
	return "未知"
}

var FeeForm = map[int64]string{
	1: "产品置换",
	2: "固定稿费",
	3: "自报价",
}

func GetFeeForm(fee_form int64) string {
	toast, contain := FeeForm[fee_form]
	if contain {
		return toast
	}
	return "未知"
}

var TaskStage = map[int]string{
	1:  "已报名",
	2:  "待选号",
	3:  "申请成功",
	4:  "申请失败",
	5:  "待发货",
	6:  "已发货",
	7:  "已签收",
	8:  "待传脚本",
	9:  "脚本待审",
	10: "脚本通过",
	11: "待传初稿",
	12: "初稿待审",
	13: "初稿通过",
	14: "待传链接",
	15: "链接待审",
	16: "链接通过",
	17: "待传数据",
	18: "数据待审",
	19: "已结案",
	20: "解约待处理",
	21: "解约",
}

func GetTaskStage(task_stage int) string {
	toast, contain := TaskStage[task_stage]
	if contain {
		return toast
	}
	return "未知"
}
